Bug 111622 - kernel panic
kernel panic
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-06 14:03 EST by Elijah Newren
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elijah Newren 2003-12-06 14:03:51 EST
I know RH 8.0 has been EOL'd, but I'm submitting this in hopes that it
may be useful as a bug report about the 2.4.x kernel and an AMD system
in general.  If it's not, I guess you can close it.

Description of problem:
I had three "freezes" in the last two days (system still responded to
pings but mouse and keyboard were unresponsive, and before long it
would freeze up more so that it wouldn't even respond to pings).  I
noticed that my /var/log/messages said that 'I/O APIC: AMD Errata #22
may be present.  In the event of instability try booting with the
"noapic" option.'  So, I did.  Upon rebooting, gdm started to load but
the screen remained blue with the busy cursor showing for a long time.
 I switched to virtual terminal 1 and started to login when I saw the
following appear on the screen:

EFLAGS: 00010256

EIP is at do_page_fault [kernel] 0x29b (2.4.20-19.8smp)
eax: 00000013   ebx: 39e13000   ecx: c032c404   edx: 0000288b
esi: 00000000   edi: 00000000   ebp: f7f76000   esp: f7f77e80
ds: 0018   es: 0018   ss: 0018
Process kscand (pid: 6, stackpage=f7f77000)
Stack: c0274c04 39e13067 00000000 00000000 00000000 00000000 00000000
00000000
       00000000 00000000 00030001 00000000 00000000 00000000 00000000
00000000
       00000000 00000000 00000000 00000000 00000000 00000000 00000000
00000000
Call Trace:   [<c0129eca>] update_process_times [kernel] 0x3a
(0xf7f77ef4))
[<c0118e5d>] smp_apic_timer_interrupt [kernel] 0x13d (0xf7f77f18))
[<c011b1d0>] do_page_fault [kernel] 0x0 (0xf7f77f28))
[<c0109250>] error_code [kernel] 0x34 (0xf7f77f30))
[<c01486ba>] page_referenced [kernel] 0x24a (0xf7f77f64))
[<c01405a2>] scan_active_list [kernel] 0xa2 (0xf7f77fa0))
[<c011c740>] process_timeout [kernel] 0x0 (0xf7f77fa4))
[<c0141614>] kscand [kernel] 0x104 (0xf7f77fc0))
[<c0105000>] stext [kernel] 0x0 (0xf7f77fe8))
[<c01073ce>] arch_kernel_thread [kernel] 0x2e (0xf7f77ff0))
[<c0141510>] kscand [kernel] 0x0 (0xf7f77ff8))


Code: 8b 9c bb 00 00 00 c0 c7 04 24 15 4c 27 c0 89 5c 24 04 e8 9e


After rebooting again and doing the same things, I didn't get the
kernel panic.  So I don't know how to reproduce.  However, I did find
the following information which seems to be more detailed in some
respects in /var/log/messages after rebooting:

Dec  6 11:02:36 amr kernel: Unable to handle kernel NULL pointer
dereference at
virtual address 00000078
Dec  6 11:02:36 amr kernel:  printing eip:
Dec  6 11:02:36 amr kernel: c01486ba
Dec  6 11:02:36 amr kernel: *pde = 39e13067
Dec  6 11:02:36 amr kernel: Unable to handle kernel paging request at
virtual address f9e13000
Dec  6 11:02:36 amr kernel:  printing eip:
Dec  6 11:02:36 amr kernel: c011b46b
Dec  6 11:02:36 amr kernel: *pde = 00000000
Dec  6 11:02:36 amr kernel: Oops: 0000
Dec  6 11:02:36 amr kernel: binfmt_misc eepro100 mii ipt_REJECT
iptable_filter ip_tables ide-scsi ide-cd cdrom loop mousedev keybdev
hid input usb-ohci usbcore
ext3 jbd lvm-mod 3w-xxxx s
Dec  6 11:02:36 amr kernel: CPU:    1
Dec  6 11:02:36 amr kernel: EIP:    0010:[<c011b46b>]    Not tainted
Dec  6 11:02:36 amr kernel: EFLAGS: 00010256
Dec  6 11:02:36 amr kernel:
Dec  6 11:02:36 amr kernel: EIP is at do_page_fault [kernel] 0x29b
(2.4.20-19.8smp)
Dec  6 11:02:36 amr kernel: eax: 00000013   ebx: 39e13000   ecx:
c032c404   edx: 0000288b
Dec  6 11:02:36 amr kernel: esi: 00000000   edi: 00000000   ebp:
f7f76000   esp: f7f77e80
Dec  6 11:02:36 amr kernel: ds: 0018   es: 0018   ss: 0018
Dec  6 11:02:36 amr kernel: Process kscand (pid: 6, stackpage=f7f77000)
Dec  6 11:02:36 amr kernel: Stack: c0274c04 39e13067 00000000 00000000
00000000
00000000 00000000 00000000
Dec  6 11:02:36 amr kernel:        00000000 00000000 00030001 00000000
00000000
00000000 00000000 00000000
Dec  6 11:02:36 amr kernel:        00000000 00000000 00000000 00000000
00000000
00000000 00000000 00000000

I'm running on a dual processor AMD box.  Here's some other basic info
about my system:
[root@amr root]# cat /proc/version
Linux version 2.4.20-19.8smp (bhcompile@stripples.devel.redhat.com)
(gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)) #1 SMP Tue Jul 15
14:30:34 EDT 2003
[root@amr root]# cat /proc/cmdline
ro root=/dev/Volume00/LogVol00 hdd=ide-scsi noapic

Let me know if you need any other information.
Comment 1 Dave Jones 2003-12-13 19:08:41 EST
Repeatable with the latest errata kernel ?
(There have been two since the kernel you used in the report above)
Comment 2 Elijah Newren 2003-12-13 19:32:34 EST
I'll try to find out.  The crash must have been extremely rare (I
don't remember seeing this crash before, and I wasn't able to
reproduce yet even with the same kernel and trying the same steps) so
I may never find out.  But I'll give the newest one a try.  Thanks for
the pointer.
Comment 3 Bugzilla owner 2004-09-30 11:41:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.